/**
	stl_precomile.h
	File used to generate precompiled header for any version of STL.
	
	Written by Andrei Verovski.
	Dec 1999.
	
	
	User-defined macros:
	STL_PRECOMPILE_STLPORT_CONFIG_H		- STLport config header.
	STL_PRECOMPILE_STDC_H			 	- Standard C headers.
	STL_PRECOMPILE_STLSTD_H				- Standard STL headers.
	STL_PRECOMPILE_STLSGI_H				- SGI STL headers.
*/

#ifndef STL_PRECOMPILE_STDC_H
#define STL_PRECOMPILE_STDC_H 1
#endif

#ifndef STL_PRECOMPILE_STLSTD_H
#define STL_PRECOMPILE_STLSTD_H 1
#endif

// Be sure to set C++ Compiler option which is usually named as
// "Include Only Once" to avoid multiple definition errors.

#ifdef STL_PRECOMPILE_STLPORT_CONFIG_H
#include <config/stlcomp.h>
#endif


#ifdef STL_PRECOMPILE_STDC_H
#include <ctype.h>
#include <math.h>
#include <stdarg.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#endif


#ifdef STL_PRECOMPILE_STDSTL_H
#include <algorithm>
#include <deque>
#include <functional>
#include <iterator>
#include <list>
#include <map>
#include <memory>
#include <numeric>
#include <queue>
#include <set>
#include <stack>
#include <utility>
#include <vector>
#endif


#ifdef STL_PRECOMPILE_STLSGI_H
#include <rope>
#include <string>
#endif

// End of stl_precomile.h